## org.h2.dev.fs
Class FileShell

    java.lang.Object
      org.h2.util.Tool
          org.h2.dev.fs.FileShell

    public class FileShell

extends Tool

A shell tool that allows to list and manipulate files.

Field Summary

Fields inherited from class org.h2.util.Tool
`out`

Constructor Summary
`FileShell()`

Method Summary
`static void` `main(java.lang.String... args)` Options are case sensitive.
`void` `runTool(java.lang.String... args)` Run the shell tool with the given command line settings.
`void` `setErr(java.io.PrintStream err)` Sets the standard error stream.
`void` `setIn(java.io.InputStream in)` Redirects the standard input.
`void` `setInReader(java.io.BufferedReader reader)` Redirects the standard input.

Methods inherited from class org.h2.util.Tool
`isOption, printNoDatabaseFilesFound, setOut, showUsage, showUsageAndThrowUnsupportedOption, throwUnsupportedOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileShell

    public FileShell()

Method Detail

### main

    public static void main(java.lang.String... args)
                     throws java.sql.SQLException

  Options are case sensitive. Supported options are:

  [-help] or [-?] | Print the list of options
  [-verbose] | Print stack traces
  [-run ...] | Execute the given commands and exit

  Multiple commands may be executed if separated by ;

  Parameters:
    `args` - the command line arguments
  Throws:
    `java.sql.SQLException`
  H2.resource:

### setErr

    public void setErr(java.io.PrintStream err)

  Sets the standard error stream.

  Parameters:
    `err` - the new standard error stream

### setIn

    public void setIn(java.io.InputStream in)

  Redirects the standard input. By default, System.in is used.

  Parameters:
    `in` - the input stream to use

### setInReader

    public void setInReader(java.io.BufferedReader reader)

  Redirects the standard input. By default, System.in is used.

  Parameters:
    `reader` - the input stream reader to use

### runTool

    public void runTool(java.lang.String... args)
                 throws java.sql.SQLException

  Run the shell tool with the given command line settings.

  Specified by:
    `runTool` in class `Tool`
  Parameters:
    `args` - the command line settings
  Throws:
    `java.sql.SQLException`